export function convertToDataTestId(value: string): string {
  if (value == null || value == undefined) {
    return '';
  }
  value = replaceAllWhitespaces(value, '_');
  return simpleTransliteration(value);
}

export function replaceAllWhitespaces(value: string, replaceWith: string): string {
  return value.replace(/ /g, replaceWith);
}

export function simpleTransliteration(value: string): string {
  return value.normalize('NFKD').replace(/[^-A-Za-z0-9_]/g, '');
}
