import { ComponentFixture, TestBed } from '@angular/core/testing';
import { OpenDialogButtonComponent } from '@ods/component';
import { DeleteIconComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';
import { AdminDeleteOpenDialogButtonComponent } from './admin-delete-open-dialog-button.component';

describe('AdminDeleteOpenDialogButtonComponent', () => {
  let component: AdminDeleteOpenDialogButtonComponent;
  let fixture: ComponentFixture<AdminDeleteOpenDialogButtonComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [AdminDeleteOpenDialogButtonComponent],
      declarations: [MockComponent(OpenDialogButtonComponent), MockComponent(DeleteIconComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(AdminDeleteOpenDialogButtonComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
