import { ComponentFixture, TestBed } from '@angular/core/testing';

import { Vorgang } from '@alfa-client/vorgang-shared';
import { ArchiveIconComponent } from '@ods/system';
import { createVorgang } from '../../../../../../../vorgang-shared/test/vorgang';
import { VorgangArchiveStatusComponent } from './vorgang-archive-status.component';

describe('VorgangArchiveStatusComponent', () => {
  let component: VorgangArchiveStatusComponent;
  let fixture: ComponentFixture<VorgangArchiveStatusComponent>;

  const vorgang: Vorgang = createVorgang();

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [ArchiveIconComponent],
      declarations: [VorgangArchiveStatusComponent],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangArchiveStatusComponent);
    component = fixture.componentInstance;
    component.vorgang = vorgang;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
