import { ConfigurationService } from '@admin-client/configuration-shared';
import { SettingsService } from '@admin-client/settings-shared';
import { ResourceRepository } from '@alfa-client/tech-shared';
import { createSettingListResourceService, SettingListResourceService } from './settings-resource.service';

export const SettingsProviders = [
  SettingsService,
  {
    provide: SettingListResourceService,
    useFactory: createSettingListResourceService,
    deps: [ResourceRepository, ConfigurationService],
  },
];
