import { NgForOf, SlicePipe } from '@angular/common';
import { Component, Input } from '@angular/core';

@Component({
  selector: 'admin-user-organisations-einheiten',
  standalone: true,
  imports: [NgForOf, SlicePipe],
  templateUrl: './user-organisations-einheiten.component.html',
})
export class UserOrganisationsEinheitenComponent {
  @Input() organisationsEinheiten: string[];

  public readonly MAX_GROUPS_TO_DISPLAY: number = 3;
}
